# Transactions Detail

For get transactions detail, the **getTransactionDetail** method of the library should be called. This function is used to get the details of the specific transaction through the library.&#x20;

```kotlin
PayContactlessEmbed.getInstance().getTransactionDetail(long transactionId, TransactionDetailListener listener)
```

## **Transaction Detail Listener**

```java
public interface TransactionDetailListener {
    void onSuccess(TransactionDetail transactionList);
    void onFailure(Error error);
}
```

## **Transaction Detail Data**

```kotlin
data class TransactionDetail (
    var id: Long? = null
    var status: String? = null
    var transactionAmount: String? = null
    var currency: String? = null
    var cardNumber: String? = null
    var transactionType: String? = null
    var modeOfTransaction: String? = null
    var transactionDescription: String? = null
    var responseDetail: String? = null
    var transactionCode: String? = null
    var transactionDateTime: String? = null
    var terminalId: String? = null
    var merchantCode: String? = null
    var rrn: String? = null
    var stan: String? = null
    var authCode: String? = null
)
```

<table><thead><tr><th width="305.3333333333333">Field Names</th><th>Descriptions</th><th>Sample Values</th></tr></thead><tbody><tr><td>id</td><td>a unique id of the transcation </td><td>'29481'</td></tr><tr><td>status</td><td>status info of the transaction</td><td>'SUCCESS' or 'FAILED'</td></tr><tr><td>transactionAmount</td><td>using amount value in the transaction</td><td>'8.00'</td></tr><tr><td>currency</td><td>using currency value in the transaction</td><td>'₦'</td></tr><tr><td>cardNumber</td><td>masked pan of the card using in the transaction</td><td>'471688******6375'</td></tr><tr><td>transactionType</td><td>type of the transaction</td><td>'PAYMENT'</td></tr><tr><td>modeOfTransaction</td><td>paymet method using in the transaction</td><td>'CARD'</td></tr><tr><td>transactionDescription</td><td>Transaction Description of the transaction</td><td>'' or 'PRE_AUTH', 'POST_AUTH'</td></tr><tr><td>responseDetail</td><td>Response Description of the transaction</td><td>'Success' or 'Failure Detail'</td></tr><tr><td>transactionCode</td><td>a unique code of the transaction. It is used for finding the transaction.</td><td>'3FFBA7849A383BEB'</td></tr><tr><td>transactionDateTime</td><td>transaction date time</td><td>'2023-09-20T11:37:55.294+00:00'</td></tr><tr><td>terminalId</td><td>a unique id of the terminal being transacting</td><td>'TPINFVVE'</td></tr><tr><td>merchantCode</td><td>a unique code of the merchant being transacting</td><td>'100000000010204'</td></tr><tr><td>rrn</td><td><p>Reference Retrieval</p><p>Number of the transaction</p></td><td>'202309201337'</td></tr><tr><td>stan</td><td><p>Svstem Trace Audit</p><p>Number of the transaction</p></td><td>'4070'</td></tr><tr><td>authCode</td><td>Authorization Code of transaction</td><td>'133755'</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.prophius.com/developer-console/merchant-embed-sdk/android/sdk-api-reference/transactions-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
